Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.webkit
Class QWebPage.NavigationType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.webkit.QWebPage.NavigationType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QWebPage

    public static final class QWebPage.NavigationType

extends java.lang.Enum
implements QtEnumerator

This enum describes the types of navigation available when browsing through hyperlinked documents.

See Also:
  Serialized Form

Field Summary
`static QWebPage.NavigationType` | `NavigationTypeBackOrForward` Navigation to a previously shown document in the back or forward history is requested.
`static QWebPage.NavigationType` | `NavigationTypeFormResubmitted` An HTML form was submitted a second time.
`static QWebPage.NavigationType` | `NavigationTypeFormSubmitted` The user activated a submit button for an HTML form.
`static QWebPage.NavigationType` | `NavigationTypeLinkClicked` The user clicked on a link or pressed return on a focused link.
`static QWebPage.NavigationType` | `NavigationTypeOther` A navigation to another document using a method not listed above.
`static QWebPage.NavigationType` | `NavigationTypeReload` The user activated the reload action.

Method Summary
`static QWebPage.NavigationType` | `resolve(int value)` Returns the QWebPage$NavigationType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QWebPage.NavigationType` | `valueOf(java.lang.String name)`
`static QWebPage.NavigationType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NavigationTypeLinkClicked

    public static final QWebPage.NavigationType NavigationTypeLinkClicked

  The user clicked on a link or pressed return on a focused link.

### NavigationTypeFormSubmitted

    public static final QWebPage.NavigationType NavigationTypeFormSubmitted

  The user activated a submit button for an HTML form.

### NavigationTypeBackOrForward

    public static final QWebPage.NavigationType NavigationTypeBackOrForward

  Navigation to a previously shown document in the back or forward history is requested.

### NavigationTypeReload

    public static final QWebPage.NavigationType NavigationTypeReload

  The user activated the reload action.

### NavigationTypeFormResubmitted

    public static final QWebPage.NavigationType NavigationTypeFormResubmitted

  An HTML form was submitted a second time.

### NavigationTypeOther

    public static final QWebPage.NavigationType NavigationTypeOther

  A navigation to another document using a method not listed above.

Method Detail

### values

    public static QWebPage.NavigationType[] values()

### valueOf

    public static QWebPage.NavigationType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QWebPage.NavigationType resolve(int value)

  Returns the QWebPage$NavigationType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD